package com.pablotj.ia.chat.boot.application.usecase;

import com.pablotj.ia.chat.boot.domain.model.ChatIdentity;
import com.pablotj.ia.chat.boot.domain.port.ChatMessageStore;
import java.util.List;
import org.springframework.stereotype.Component;

@Component
public class ChatHistoryUseCase {

    private final ChatMessageStore chatMessageStore;

    public ChatHistoryUseCase(ChatMessageStore chatMessageStore) {
        this.chatMessageStore = chatMessageStore;
    }

    public List<ChatIdentity> chats() {
        return chatMessageStore.getChats();
    }
}
